/*
 * irreco - Ir Remote Control
 * Copyright (C) 2008 Joni Kokko (t5kojo01@students.oamk.fi)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "irreco_webdb_conf.h"

/*
 * PURPOCE OF FILE. TODO TODO TODO
 */
 
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Prototypes                                                                 */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Construction & Destruction                                                 */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
IrrecoWebdbConf *irreco_webdb_conf_new()
{
	IrrecoWebdbConf *self;
	IRRECO_ENTER
	
	self = g_slice_new0(IrrecoWebdbConf);

	self->id = 1;
	self->user = g_string_new("");
	self->backend = g_string_new("");
	self->category = g_string_new("");
	self->manufacturer = g_string_new("");
	self->model = g_string_new("");
	self->file_hash = g_string_new("");
	self->file_name = g_string_new("");
	self->file_uploaded = g_string_new("");
	self->file_download_count = g_string_new("");
	
	IRRECO_RETURN_PTR(self);
}

void irreco_webdb_conf_free(IrrecoWebdbConf *self)
{
	IRRECO_ENTER
			
	g_assert(self != NULL);

	g_string_free(self->user, TRUE);
	g_string_free(self->backend, TRUE);
	g_string_free(self->category, TRUE);
	g_string_free(self->manufacturer, TRUE);
	g_string_free(self->model, TRUE);
	g_string_free(self->file_hash, TRUE);
	g_string_free(self->file_name, TRUE);
	g_string_free(self->file_uploaded, TRUE);
	g_string_free(self->file_download_count, TRUE);
	g_slice_free(IrrecoWebdbConf, self);

	self->user = NULL;
	self->backend = NULL;
	self->category = NULL;
	self->manufacturer = NULL;
	self->model = NULL;
	self->file_hash = NULL;
	self->file_name = NULL;
	self->file_uploaded = NULL;
	self->file_download_count = NULL;
	self = NULL;

	IRRECO_RETURN
}

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Private Functions                                                          */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Functions                                                                  */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

void irreco_webdb_conf_set(IrrecoWebdbConf *self,
			   gint       id,
			   const char *user,
			   const char *backend,
			   const char *category,
			   const char *manufacturer,
			   const char *model,
			   const char *file_hash,
			   const char *file_name,
			   const char *file_uploaded,
			   const char *file_download_count)
{
	IRRECO_ENTER

	self->id = id;
	g_string_printf(self->user,"%s",user);
	g_string_printf(self->backend,"%s",backend);
	g_string_printf(self->category,"%s",category);
	g_string_printf(self->manufacturer,"%s",manufacturer);
	g_string_printf(self->model,"%s",model);
	g_string_printf(self->file_hash,"%s",file_hash);
	g_string_printf(self->file_name,"%s",file_name);
	g_string_printf(self->file_uploaded,"%s",file_uploaded);
	g_string_printf(self->file_download_count,"%s",file_download_count);
	
	IRRECO_RETURN
}

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Events and Callbacks                                                       */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

